Name:           kdesvn
Version:        0.7.4
Release:        1%{?dist}
Summary:        A subversion client for KDE with KIO integration
Group:          Development/Tools
License:        GPL
URL:            http://www.alwins-world.de/programs/kdesvn/
Source0:        http://www.alwins-world.de/programs/download/kdesvn/kdesvn-%{version}.tar.gz
# Source0-md5:	d8d3860c55200b95e59fffeb2546531f
Patch0:         kdesvn-0.7.1-x.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  subversion-devel, kdelibs-devel, neon-devel, gettext
BuildRequires:  desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
KDESvn is a frontend to the subversion vcs. In difference to most other
tools it uses the subversion C-Api direct via a c++ wrapper made by Rapid
SVN and doesn't parse the output of the subversion client. So it is a real
client itself instead of a frontend to the command line tool.

It is designed for the K-Desktop environment and uses all of the goodies
it has. It is planned for future that based on the native client some plugins
for konqueror and/or kate will made.


%prep
%setup -q
%patch -p1 -b .x11


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
#export QTLIB=${QTDIR}/lib QTINC=${QTDIR}/include
%configure --disable-rpath --with-svn-lib=%{_libdir}
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor="" \
       --add-category=Qt \
       --add-category=KDE \
       --add-category=Application \
       --add-category=Development \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications \
       $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop
%find_lang %{name} || touch %{name}.lang
#Fix doc link
ln -sf ../common $RPM_BUILD_ROOT%{_defaultdocdir}/HTML/en/%{name}
#Don't conflict with kdebase
%{__rm} $RPM_BUILD_ROOT%{_datadir}/services/svn*.protocol


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null ||:

touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING GPL.txt
%{_bindir}/kdesvn
%{_bindir}/kdesvnaskpass
%{_libdir}/kde3/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/apps/kdesvn/
%{_datadir}/apps/kdesvnpart/
%{_datadir}/apps/konqueror/servicemenus/kdesvn*.desktop
%{_datadir}/config.kcfg/kdesvn_part.kcfg
%{_datadir}/doc/HTML/en/kdesvn/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svgz
%{_datadir}/services/kded/kdesvnd.desktop
%{_datadir}/services/ksvn*.protocol


%changelog
* Thu Jul 27 2006 Wojciech Gabor <tuptus@turox.org>
- build for Aurox 12.0

* Wed Mar  8 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.4-1
- Update to 0.7.4

* Mon Feb 13 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.3-2
- Rebuild for gcc/glibc changes

* Wed Feb  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.3-1
- Update to 0.7.3

* Fri Jan 20 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.2-1
- Update to 0.7.2
- Remove gcc41 patch fixed upstream
- Remove apr-1-config and apu-1-config args - fixed upstream
- Drop srcver - bad idea

* Fri Dec 16 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-3
- Add missing files not detected by mock
- Add patch to fix gcc41 compile error

* Tue Dec 13 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-2
- Specify apr-1-config and apu-1-config to configure

* Fri Dec  9 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-1
- New upstream version 0.7.1

* Sun Nov 20 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.0-0.rc1
- New upstream version 0.7.0rc1
- Remove desktop patch fixed upstream
- Add patch to remove X11 checks from configure

* Fri Nov  4 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.6.3-2
- Make use of buildroot consistant
- Just BuildRequires the "desktop-file-utils" package
- Add post/postun update-desktop-database and gtk-update-icon-cache
- Add Application Category tag to desktop file

* Thu Nov  3 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.6.3-1
- Initial Fedora Extras release
